from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 24):
        setTag(e, "kssCrypt", 25)
    elif (k == 32):
        setTag(e, "kssCrypt", 33)
    elif (k == 40):
        setTag(e, "kssCrypt", 41)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
